# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.batch
Class BatchId

    java.lang.Object
      com.google.gdata.data.batch.BatchId

All Implemented Interfaces:
  Extension

    public class BatchId

extends java.lang.Object
implements Extension

Entry extension for `<batch:id>` tags.

Constructor Summary
`BatchId()` Creates a BatchId object without ID.
`BatchId(java.lang.String id)` Creates a BatchId object.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Gets an XML element handler for the extension.
`java.lang.String` `getId()` Gets the id.
`static java.lang.String` `getIdFrom(BaseEntry<?> entry)` Convenience method for getting a batchId from an entry if it's there.
`void` `setId(java.lang.String id)` Sets the id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchId

    public BatchId(java.lang.String id)

  Creates a BatchId object.

### BatchId

    public BatchId()

  Creates a BatchId object without ID.

Method Detail

### getId

    public java.lang.String getId()

  Gets the id.

### setId

    public void setId(java.lang.String id)

  Sets the id.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### getIdFrom

    public static java.lang.String getIdFrom(BaseEntry<?> entry)

  Convenience method for getting a batchId from an entry if it's there.

  Parameters:
    `entry` -
  Returns:
    the id or null if it's not defined

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from interface: `Extension`
  Gets an XML element handler for the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler